Subject: [bug#29973] [PATCH] gnu: newsbeuter: Supersede.

From: [email-masked] (Ludovic Courtès)
Date: Mon, 08 Jan 2018 00:13:40 +0100

Heya!

Tobias Geerinckx-Rice <[email-masked]> skribis:

> What I meant to say was: there might be a better way to do this than a
> 100-line patch, but this is the best I can come up with.
>
> I don't really understand why
>
>   (define-public foo (package ... (inputs `(("bar" ,bar)))))
>   (define-public bar ...)
>
> appears to work, while
>
>   (define-public foo (package ... (properties `((superseded . ,bar)))))
>   (define-public bar ...)
>
> seems to fail.

Indeed.

Unless you really want to keep the ‘newsbeuter’ definition around, you
can also simply:

  (define-public newsbeuter
    (deprecated-package "newsbeuter" newswhatever))

The only value in keeping the old definition is that power users can
still install it with “guix build -e”.

My 2¢,
Ludo’.